Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.certra.protocol.v2
Class GenerateCertificateResponse

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v2.ResponseType
          be.fgov.ehealth.commons.protocol.v2.StatusResponseType
              be.fgov.ehealth.certra.protocol.v2.GenerateCertificateResponse

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T04:56:49+01:00",
               comments="JAXB RI v2.2.11")
    public class GenerateCertificateResponse

extends StatusResponseType
implements Serializable

Result of the generateCertificate operation: the web service returns the identifier associated with your request so that you know how to identify your request in the future, together with an indication of the validation status.

Java class for GenerateCertificateResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GenerateCertificateResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}StatusResponseType">
           <sequence minOccurs="0">
             <element name="PublicKeyIdentifier" type="{urn:be:fgov:ehealth:etee:commons:core:v2}PublicKeyIdentifier"/>
             <element name="AutomaticallyValidated" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="ReplacesCertificate" type="{urn:be:fgov:ehealth:etee:commons:core:v2}PublicKeyIdentifier" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`GenerateCertificateResponse()`

Method Summary
`byte[]` | `getPublicKeyIdentifier()` Gets the value of the publicKeyIdentifier property.
`byte[]` | `getReplacesCertificate()` Gets the value of the replacesCertificate property.
`Boolean` | `isAutomaticallyValidated()` Gets the value of the automaticallyValidated property.
`void` | `setAutomaticallyValidated(Boolean value)` Sets the value of the automaticallyValidated property.
`void` | `setPublicKeyIdentifier(byte[] value)` Sets the value of the publicKeyIdentifier property.
`void` | `setReplacesCertificate(byte[] value)` Sets the value of the replacesCertificate property.

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.StatusResponseType
`getStatus, setStatus`

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType
`getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenerateCertificateResponse

    public GenerateCertificateResponse()

Method Detail

### getPublicKeyIdentifier

    public byte[] getPublicKeyIdentifier()

  Gets the value of the publicKeyIdentifier property.

  Returns:
    possible object is `String`

### setPublicKeyIdentifier

    public void setPublicKeyIdentifier(byte[] value)

  Sets the value of the publicKeyIdentifier property.

  Parameters:
    `value` - allowed object is `String`

### isAutomaticallyValidated

    public Boolean isAutomaticallyValidated()

  Gets the value of the automaticallyValidated property.

  Returns:
    possible object is `Boolean`

### setAutomaticallyValidated

    public void setAutomaticallyValidated(Boolean value)

  Sets the value of the automaticallyValidated property.

  Parameters:
    `value` - allowed object is `Boolean`

### getReplacesCertificate

    public byte[] getReplacesCertificate()

  Gets the value of the replacesCertificate property.

  Returns:
    possible object is `String`

### setReplacesCertificate

    public void setReplacesCertificate(byte[] value)

  Sets the value of the replacesCertificate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.